Verify Transfer API
Introduction
This Signzy API can be used to verify the transfer done using Account Transfer API
How to call the API
You will need to login before sending search request. You are required to pass the access token received from the login call, as authorization header in the verify transfer request.
This API is hit by passing amount and signzy refernce ID.On hitting the API with these parameters it will display amountMatch, owerName, mobile number and mmid as output corresponding to the hit.
API Input Guidelines
signzyId can be taken from the response of Account Transfer API
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../bankaccountverifications' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"task" : "verifyAmount",
"essentials": {
"amount": "<Amount ",
"signzyId": "<Signzy refernce ID from Account Transfer API> "
}
}'Response Parameter
Parameter Name | Description |
|---|---|
essentials | Essential part of the response body |
essentials.amount | Amount that was transfered using Account Transfer API |
essentials.signzyId | Signzy reference ID |
result.amountMatch | True if the amount matches |
result.owerName | Name of the owner |
result.mobile | Mobile number of the user |
result.mmid | It holds MMID (MMID is an acronym for mobile money identifier. It is a seven-digit unique code assigned to a bank account.) |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].